/*
 * Created on 04.01.2005
 *
 * $Id: TestAspect.aj,v 1.1 2005/06/24 13:56:07 boehm Exp $
 */
package casino.test;

/**
 * @author <a href="mailto:boehm@javatux.de">oliver</a>
 * @since 04.01.2005
 * @version $revision$
 */
public aspect TestAspect {
    
    static int zufall = 0;
    
    /**
     * Der Zufallszahlengenerator sollte jetzt 0, 1, 2, ...
     * zurueckliefern.
     */
    int around(int n) : 
            call(public int java.util.Random.nextInt(int)) 
            && if (Testing.isEnabled())
            && args(n)
            && within(casino.Roulette) {
        return zufall++ % n;
    }


}
