/*
 * Created on 02-Jan-2005
 */
package casino;

/**
 * Ein einfaches Bankkonto fuer eine Casino-Loesung
 * @author oliver
 */
public class Konto {

    private String inhaber = "unbekannt";
    
    /**
     * damit PersistenceAspect darauf zugreifen darf, ist "kontostand"
     * jetzt protected
     */
    protected int kontostand = 0;
    
    public Konto(String name) {
        this.inhaber = name;
    }
    
    public Konto(String name, int einzahlung) {
        this(name);
        this.kontostand = einzahlung;
    }
    
    public String getInhaber() {
        return this.inhaber;
    }

    public int abfragen() {
        return this.kontostand;
    }
    
    public void einzahlen(int betrag) {
        kontostand = kontostand + betrag;
    }

    public void abheben(int betrag) {
        kontostand = kontostand - betrag;
    }
    
    public String toString() {
        return "Konto " + this.inhaber;
    }

}
