/*
 * $Id$
 * 
 * (c)reated: 28-Feb-05 by boehm@javatux.de
 */

package verkehrs;

import java.awt.event.*;

/**
 * Controller einer Vekehrsampel
 * 
 * @author <a href="mailto:boehm@javatux.de">oliver </a>
 * @since 28.02.2005
 * @version $revision$
 */
@Controller
public class AmpelController implements ActionListener {

    //  private references
    private AmpelView view;

    private AmpelModel model;

    //  constructor
    public AmpelController(AmpelView v, AmpelModel m) {
        view = v;
        model = m;
    }

    public void actionPerformed(ActionEvent e) {
        String s = e.getActionCommand();
        if (s.equals("next")) {
            model.nextState();
        } else if (s.equals("stop")) {
            model.reset();
        }
        view.paint();
    }

}