/*
 * Created on 14.04.2005
 *
 * $Id$
 */
package pattern.composite;

import java.util.*;

/**
 * This class is only a workaround for AspectJ 1.5.0M2 -- it seems that
 * this version of some problems with generic.
 * 
 * @author <a href="mailto:boehm@javatux.de">oliver</a>
 * @since 14.04.2005
 * @version $revision$
 */
public class CompositeCollection {
    
    Collection<Composite> composites = new ArrayList<Composite>();

    public void add(Composite composite) {
        composites.add(composite);
    }
    
    public void remove(Composite composite) {
        composites.remove(composite);
    }
    
    public Collection<Composite> getChildren() {
        return composites;
    }

}
