/*
 * Created on 13.04.2005
 *
 * $Id$
 */
package dir;

import java.util.Collection;

public interface FileSystemComponent {
    
    String getName();
    
    long getSize();
    
    void add(FileSystemComponent component);
    
    void remove(FileSystemComponent component);
    
    Collection<FileSystemComponent> getChildren();
    
    public String toString(String prefix);

}
