/*
 * Created on 04.01.2005
 *
 * $Id$
 */
package casino.test;

import casino.*;

/**
 * @author <a href="mailto:boehm@javatux.de">oliver</a>
 * @since 04.01.2005
 * @version $revision$
 */
public aspect TestAspect {
    
    static int zufall = 0;
    
    /**
     * Der Roulette.werfeKugel() sollte jetzt nacheinander 0, 2, ..., 36,
     * 1, 3, ...., 35 zurueckliefern.
     */
    int around(Roulette r) :
            execution(public int Roulette.werfeKugel())
            && if (Testing.isEnabled()) 
            && this(r) {
        r.wurf = zufall;
        zufall += 2;
        if (zufall > 36) {
            zufall -= 37;
        }
        return r.wurf;
    }

}
