/*
 * Created on 02-Jan-2005
 */
package bank;

import junit.framework.TestCase;

/**
 * @author oliver
 */
public class KontoTest extends TestCase {

    private Konto konto;

    public static void main(String[] args) {
        junit.textui.TestRunner.run(KontoTest.class);
    }

    /*
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception {
        konto = new Konto("Max Mustermann");
        super.setUp();
    }
    
    public void testKonto() {
        Konto kto = new Konto("Theo Tester", 1000);
        assertEquals(1000, kto.abfragen());
        assertEquals("Theo Tester", kto.getInhaber());
    }

    public void testAbfragen() {
        assertEquals(0, konto.abfragen());
    }

    public void testEinzahlen() {
        konto.einzahlen(123);
        assertEquals(123, konto.abfragen());
    }

    public void testAbheben() {
        konto.einzahlen(450);
        konto.abheben(345);
        assertEquals(105, konto.abfragen());
    }

}
