/*
 * Created on 05.01.2005
 *
 * $Id: Testing.java,v 1.1 2005/06/24 13:56:07 boehm Exp $
 */
package casino.test;

/**
 * @author <a href="mailto:boehm@javatux.de">oliver</a>
 * @since 05.01.2005
 * @version $revision$
 */
public class Testing {

    /**
     * Wenn die Property "testing" gesetzt ist und den Wert "true" besitzt,
     * wird "true" zurueckgegeben.
     * Diese Property kann z.B. beim Aufruf ueber '-Dtesting=true' oder in
     * Eclipse als VM Argument (unter Run...) gesetzt werden.
     * 
     * @return true, falls Property "testing" gesetzt ist.
    */
    static public boolean isEnabled() {
        String testing = System.getProperty("testing");
        return ((testing != null) && (testing.equalsIgnoreCase("true")));
    }
    
}
