/*
 * Created on 05.01.2005
 *
 * $Id$
 */
package casino.player;

import org.apache.log4j.*;
import casino.*;

/**
 * @author <a href="mailto:boehm@javatux.de">oliver</a>
 * @since 05.01.2005
 * @version $revision$
 */
public aspect RiskyPlayerAspect {
    
    declare precedence : RiskyPlayerAspect, SimplePlayerAspect;
    
    private static Logger log = Logger.getLogger(SimplePlayerAspect.class); 

    Einsatz around(RoulettePlayer player) :
            execution(public Einsatz RoulettePlayer+.getEinsatz())
            && !(execution(public Einsatz DoubleBetPlayer.getEinsatz()))
            && this(player) {
        Einsatz simple = new Einsatz();
        simple.setZahl(13, 10);
        player.setEinsatz(simple);
        log.info("setze 10 Chips auf die 13");
        return simple;
    }

}
