/*
 * $Id$
 * 
 * (c)reated: 28-Feb-05 by boehm@javatux.de
 */

package verkehrs;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;



/**
 * Ampel-Hauptklasse mit Doppelnutzung als Applet und Applikation.
 * Es stellt die fuer das AmpelView-Applet benoetigte Umgebung zur Verfuegung.
 * Diese Klasse wird nur dazu benoetigt, um das AmpelView-Applet auch
 * als normales Java-Programm aufrufen zu koennen.
 * 
 * @author <a href="mailto:boehm@javatux.de">oliver </a>
 * @since 28.02.2005
 * @version $revision$
 */

public class Ampel extends Applet implements WindowListener {

    private static final long serialVersionUID = 4050761576787555128L;

    public static void main(String[] args) {
        new Ampel();
    }

    public Ampel() {
        AmpelView view = new AmpelView();
        Frame f = new Frame("Ampel");

        f.setLayout(new BorderLayout());
        view.init();
        f.add(view, "Center");
        f.setSize(200, 400);
        f.addWindowListener(this);
        f.setVisible(true);
        view.start();
    }

    public void windowClosing(WindowEvent e) {
        System.exit(0);
    }

    public void windowClosed(WindowEvent e) {
    }

    public void windowOpened(WindowEvent e) {
    }

    public void windowIconified(WindowEvent e) {
    }

    public void windowDeiconified(WindowEvent e) {
    }

    public void windowActivated(WindowEvent e) {
    }

    public void windowDeactivated(WindowEvent e) {
    }

}