/*
 * Created on 09.01.2005
 *
 * $Id$
 */
package casino;

import casino.test.*;

/**
 * @author <a href="mailto:boehm@javatux.de">oliver</a>
 * @since 09.01.2005
 * @version $revision$
 */
public aspect RouletteAspect {
    
    /**
     * Das wurf-Attribut ist fuer andere Klassen ausser Roulette und
     * RouletteTest tabu!
     */
    declare error : 
        set(int Roulette.wurf)
                && !within(Roulette)
                && !within(RouletteTest)
                && !within(TestAspect) :
        "wurf-Attibute darf nur von Roulette selbst gesetzt werden!";

}
